﻿namespace PaintShopSchedulingCarrierChangeOptimizer
{
    public interface ICarrierInsertionRemovalFlagInformation
    {
            /// <summary>
            /// The identifier of the carrier type of the carrier.
            /// </summary>
            int CarrierTypeId { get; }

            /// <summary>
            /// This flag indicates whether the carrier is inserted in the given round.
            /// </summary>
            bool InsertionFlag { get; set; }

            /// <summary>
            /// This flag indicates whether the carrier is removed after the given round.
            /// </summary>
            bool RemovalFlag { get; set; }
    }
}
