﻿using PaintShopSchedulingCarrierChangeOptimizer;

namespace PaintShopSchedulingSimpleTypes
{
    public class SimpleCarrierInsertionRemovalFlagInformation : ICarrierInsertionRemovalFlagInformation 
    {
        public SimpleCarrierInsertionRemovalFlagInformation(int carrierTypeId)
        {
            CarrierTypeId = carrierTypeId;
            // initially everything will be inserted and removed
            InsertionFlag = true;
            RemovalFlag = true;
        }

        public int CarrierTypeId { get; }
        public bool InsertionFlag { get; set; }
        public bool RemovalFlag { get; set; }
    }
}
