﻿namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Struct that represents information about a scheduled carrier and in which color it should be painted.
    /// </summary>
    public struct SimpleCarrier
    {
        public int CarrierTypeId;
        public int CarrierConfigurationId;
        public int ColorId;

        public SimpleCarrier(int carrierTypeId, int carrierConfigurationId, int colorId)
        {
            CarrierTypeId = carrierTypeId;
            CarrierConfigurationId = carrierConfigurationId;
            ColorId = colorId;
        }
    }
}
