﻿namespace PaintShopSchedulingSimpleTypes.SimpleTypes
{
    /// <summary>
    /// Simple representation of a position in the history round.
    /// </summary>
    public class SimpleHistoryRoundPosition
    {
        public readonly SimpleCarrierType CarrierType;
        public readonly SimpleColor Color;

        public SimpleHistoryRoundPosition(SimpleCarrierType carrierType, SimpleColor color)
        {
            CarrierType = carrierType;
            Color = color;
        }
    }
}
