﻿using CommandLine;

namespace SimpleSolutionValidator
{
    public class Options
    {
        [Option('i', Default = "", HelpText = "Instance file")]
        public string InstanceFile { get; set; }

        [Option('s', Default = "", HelpText = "Solution file")]
        public string SolutionFile { get; set; }

        [Option('p', Default = false, HelpText = "Print solution")]
        public bool PrintSolution { get; set; }

        [Option("p2", Default = false, HelpText = "Print distribution of carriers, colors and configs")]
        public bool PrintCarriersColorsConfigs { get; set; }

        [Option('c', Default = false, HelpText = "Print single cost line for benchmarks")]
        public bool PrintSingleLineCostOutput { get; set; }
    }
}
