﻿namespace PaintShopSchedulingSimpleTypes
{
    /// <summary>
    /// Singleton class to create and retrieve Simple Instance Serializer objects 
    /// </summary>
    public interface ISimpleInstanceSerializerFactory
    {
        /// <summary>
        /// Return the configured default simple instance serializer.
        /// </summary>
        /// <returns>An instance for the configured default simple instance serializer.</returns>
        ISimpleInstanceSerializer GetDefaultSimpleInstanceSerializer();
    }
}
